Get survey trends
curl --request GET \
--url https://api.doozy.live/v1/surveys/{survey_id}/trends \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/surveys/{survey_id}/trends"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/surveys/{survey_id}/trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/surveys/{survey_id}/trends",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/surveys/{survey_id}/trends"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/surveys/{survey_id}/trends")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/surveys/{survey_id}/trends")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "survey_trends",
"id": "2XOADZ5X978jbJUbveb9",
"anonymity_threshold": 5,
"instances": [
{
"object": "survey_instance",
"id": "<string>",
"scheduled_at": "2026-02-01T10:30:00.000Z",
"total_recipients": 123,
"total_responses": 123,
"response_rate": 123
}
],
"questions": [
{
"id": "TBv9FQYiJO9f5HEESjhU:t06iKVkbhqv0tiDitrWL",
"text": "How satisfied are you with your onboarding experience?",
"type": "scale_1_to_10",
"data_points": [
{
"average_score": 7.8,
"enps_score": 42,
"total_responses": 30,
"answer_breakdown": [
{
"answer": "8",
"total_responses": 25,
"percentage": 35.7
}
],
"answers_withheld": false
}
]
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Surveys
Get survey trends
Retrieve per-instance question analytics for a survey, suitable for trend charting. Returns chronologically ordered data points for each question across all matching delivery instances, including average scores, eNPS scores, and answer breakdowns.
GET
/
v1
/
surveys
/
{survey_id}
/
trends
Get survey trends
curl --request GET \
--url https://api.doozy.live/v1/surveys/{survey_id}/trends \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/surveys/{survey_id}/trends"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/surveys/{survey_id}/trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/surveys/{survey_id}/trends",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/surveys/{survey_id}/trends"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/surveys/{survey_id}/trends")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/surveys/{survey_id}/trends")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "survey_trends",
"id": "2XOADZ5X978jbJUbveb9",
"anonymity_threshold": 5,
"instances": [
{
"object": "survey_instance",
"id": "<string>",
"scheduled_at": "2026-02-01T10:30:00.000Z",
"total_recipients": 123,
"total_responses": 123,
"response_rate": 123
}
],
"questions": [
{
"id": "TBv9FQYiJO9f5HEESjhU:t06iKVkbhqv0tiDitrWL",
"text": "How satisfied are you with your onboarding experience?",
"type": "scale_1_to_10",
"data_points": [
{
"average_score": 7.8,
"enps_score": 42,
"total_responses": 30,
"answer_breakdown": [
{
"answer": "8",
"total_responses": 25,
"percentage": 35.7
}
],
"answers_withheld": false
}
]
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Authorizations
Path Parameters
Query Parameters
JSON-encoded audience groups. Groups match with OR; populated fields inside a group match with AND; values inside each field match with OR. Takes precedence over the flat demographic parameters.
Maximum string length:
20000Example:
"[{\"group_ids\":[\"BgZupnpMujy4v1Zzd6sx\"],\"country_codes\":[\"GB\"]},{\"group_ids\":[\"group_sales\"],\"cities\":[\"Berlin\"]}]"
Response
Survey trends with per-instance question analytics
Was this page helpful?